#!/bin/bash
#$ -N timed_heat2
#$ -S /bin/bash
#$ -pe mpich 1
#$ -V
#$ -j y
#$ -cwd


for s in 256 512 1024
do
	for p in `seq 1 8`;
	do
		for b in 1 2 3 4 5
		do
			for j in `seq 1 20`;
			do
				echo "np:${p}, j: ${j}"
				mpirun -np $p -machinefile $TMPDIR/machines timed_heat2 $s $b
			done
		done
	done
done
